温馨提示:本文翻译自stackoverflow.com,查看原文请点击:其他 - Can't install net.liftweb:lift-json_2.13 in Databricks

其他 - 无法在Databricks中安装net.liftweb:lift-json_2.13

发布于 2020-03-29 21:44:09

我正在尝试将net.liftweb:lift-json_2.13:3.4.1安装到Databricks集群中(Apache Spark 2.4.4,Scala 2.11)

但是我收到以下错误:

java.lang.RuntimeException: unresolved dependency: net.liftweb:lift:1.2.1: not found

当我尝试安装net.liftweb:lift:1.2.1时,出现以下错误:

Maven Dependencies not found: unresolved dependency: net.liftweb:lift:1.2.1: not found Please try again by excluding these dependencies.

其他版本也没有成功。

查看更多

提问者
Flavio Pegas
被浏览
19
CHEEKATLAPRADEEP-MSFT 2020-01-31 18:31

要使第三方或本地构建的代码可用于群集上运行的笔记本和作业,可以安装库。库可以用Python,Java,Scala和R编写。您可以上载Java,Scala和Python库,并指向PyPI,Maven和CRAN存储库中的外部包。

安装第三方库的步骤:

步骤1:创建Databricks群集。

步骤2:选择创建的集群。

步骤3:选择库=>安装新=>选择库源=“ Maven” =>坐标=>搜索软件包=>选择Maven Central =>搜索所需的软件包。示例:(lift json)=>选择所需的版本(net.liftweb»lift-json_2.13»3.4.1)=>安装

在此处输入图片说明

已成功安装(net.liftweb»lift-json_2.13»3.4.1)库。

在此处输入图片说明

有关更多详细信息,请参见“ Azure Databricks-库 ”。

希望这可以帮助。如果您还有其他疑问,请告诉我们。

发布
问题

分享
好友

手机
浏览

扫码手机浏览